# SPDX-FileCopyrightText: 2025 Gergely Nagy
# SPDX-FileContributor: Gergely Nagy
#
# SPDX-License-Identifier: MIT

{
  lib,
  pkgs,
}:
let
  props = builtins.fromTOML (builtins.readFile ../Cargo.toml);
  inherit (props.package) version;
in
pkgs.rustPlatform.buildRustPackage {
  pname = "iocaine";
  inherit version;
  src = builtins.path {
    name = "iocaine";
    path = lib.cleanSource ../.;
  };
  cargoLock = {
    lockFile = ../Cargo.lock;
  };
  meta = with lib; {
    description = "The deadliest poison known to AI";
    license = licenses.mit;
    platforms = platforms.linux;
    homepage = "https://iocaine.madhouse-project.org/";
    mainProgram = "iocaine";
  };
}
