// SPDX-FileCopyrightText: 2025 Gergely Nagy
// SPDX-FileContributor: Gergely Nagy
//
// SPDX-License-Identifier: MIT

use clap::Parser;

#[derive(Debug, Parser)]
#[command(version, about)]
pub struct Args {
    /// Configuration file to use.
    #[arg(short = 'c', long, default_value_t = Self::xdg_config_file())]
    pub config_file: String,
}

impl Args {
    fn xdg_config_file() -> String {
        "config.toml".to_string()
    }
}
